This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 114613 - kernel 2149 fails to boot w/o a separate /boot filesystem
kernel 2149 fails to boot w/o a separate /boot filesystem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 02:37 EST by lynn wheeler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
grug.conf from fedora (1.03 KB, text/plain)
2004-02-02 19:37 EST, lynn wheeler
no flags Details

  None (edit)
Description lynn wheeler 2004-01-30 02:37:53 EST
Description of problem:
kernel 2149 fails to boot with single root filesystem.

Version-Release number of selected component (if applicable):
kenel 2149

How reproducible:
every time

Steps to Reproduce:
1.boot kernel 2149
2.single root filesystem
3.no /boot filesystem
  
Actual results:
kernel boot aborts with message about not finding a LABEL=/boot

Expected results:
normal boot completion

Additional info:
system was built with kernel 2115 which boots normally with single
root filesystem and no separate /boot filesystem
Comment 1 Dave Jones 2004-01-30 20:28:43 EST
sounds like your initrd is broken.  try updating mkinitrd to latest,
and reinstalling the 2149 kernel.
Comment 2 lynn wheeler 2004-01-31 01:23:27 EST
the fedora mkinitrd was built/installed from ISO/CDROM. I replaced it
with a mkinitrd copied from a redhat 9 system that i have. I then
rebuilt the 2149 kernel and it booted fine

-rwxr-xr-x    1 root     root        14737 Jan 30 22:35 mkinitrd
-rwxr-xr-x    1 root     root        15448 Jan 30 22:34 mkinitrd.fedora
Comment 3 Jeremy Katz 2004-02-02 18:55:16 EST
Can you attach your grub.conf?
Comment 4 lynn wheeler 2004-02-02 19:37:08 EST
Created attachment 97426 [details]
grug.conf from fedora

grub.conf file the same before and after copying mkinitrd 
from redhat9 system and re-installing both 2149 and 2149smp.

note this is a two processor dimension 410 which has a separate
problem that 2149smp boot just hangs.
Comment 5 David Lawrence 2004-09-29 16:02:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.